techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Orders
  • Customer Account
    • Registration
      • Register Customer
      • Confirm Customer Registration
    • User Authentication
      • Request OTP
      • Get Access Token
      • Refresh Access Token
    • Customer Profile
      • Profile Details
      • Wallet Details
      • Referral Details
      • Update Platform Version
      • Activate/Create FCM Token
      • FCM Token
      • Delete Customer Account
      • Update Language
      • Update Avatar
      • Update Profile
    • Customer Locations
      • List Locations
      • Location Details
      • Create Location
      • Update Location
      • Update Location Image
      • Delete Location
    • List Received Notifications
  • Items
    • List Items
    • Item Details
    • List Item Categories
    • Item Category Details
    • List Modifier Categories
    • Item Config Details
    • List Bundle Categories
  • Orders
    • List Orders
      GET
    • Order Details
      GET
    • List Recurring Purchases
      GET
    • Recurring Purchase Details
      GET
    • Recurring Purchase Details
      PATCH
  • Subscriptions
    • List Subscriptions
    • Subscription Details
    • Cancel Subscription Auto Renewal
  • Fulfillments
    • List Fulfillments
    • Fulfillment Details
    • Update Fulfillment Details
  • Payment Methods
    • List Payment Methods
    • Delete Payment Method
    • List Enabled Payment Providers
  • Checkout
    • Checkout Config Details
    • Create Cart
    • Update Cart
    • Cart Details
    • List Pickup Locations
    • List Featured Vouchers
    • Get Courier Options
    • Checkout
  • Sales Channels
    • Orders
      • List Channel Subscriptions
      • Channel Subscription Details
      • List Channel Orders
      • Channel Order Details
      • Cancel Channel Subscription
    • Meals Checkout
      • Apply Voucher
      • Redeem
      • Get Discount
      • Place Order
    • List Channel Providers
  • Utilities
    • List Supported Cities
    • Supported City Details
  1. Orders

Order Details

GET
https://api.techrar.com/order/v1/orders/{order_id}/
This endpoint allows you to get order details of a customer by passing the order_id as a path parameter.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/order/v1/orders//' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": 449,
    "app_id": 86,
    "created_at": "2025-09-07T12:23:12.308555+03:00",
    "status": "completed",
    "sub_total_amount": 10.33,
    "shipping_amount": 0.0,
    "setup_amount": 0.0,
    "net_amount": 10.33,
    "sub_total_discounts_amount": 1.03,
    "shipping_discounts_amount": 0.0,
    "total_discounts_amount": 1.03,
    "total_amount": 9.3,
    "wallet_redeem_amount": 0.0,
    "total_amount_with_redeem": 9.3,
    "currency": "SAR",
    "payment_method": "visa_master",
    "payment_provider": "myfatoorah",
    "notes": "",
    "items": [
        {
            "id": 546,
            "custom_fields": null,
            "item": {
                "id": 132,
                "custom_fields": null,
                "images": [],
                "discount": {
                    "is_applied": false,
                    "is_trial_applied": false,
                    "is_usage_price": false,
                    "price_after_discount_no_trial": 10.33,
                    "price_after_discount": 10.33,
                    "payment_method_offers": [
                        {
                            "method": "mada",
                            "amount": 10.433300000000001
                        },
                        {
                            "method": "visa_master",
                            "amount": 10.33
                        },
                        {
                            "method": "applepay",
                            "amount": 10.33
                        },
                        {
                            "method": "tabby_installments",
                            "amount": 10.33
                        },
                        {
                            "method": "tamara_installments",
                            "amount": 10.33
                        }
                    ]
                },
                "stock": {
                    "in_stock": true,
                    "qty": 100
                },
                "modifiers": [
                    {
                        "id": 3,
                        "ordering": 0,
                        "name_en": "mod",
                        "name_ar": "mod",
                        "values": [
                            {
                                "id": 6,
                                "ordering": 0,
                                "name_en": "two",
                                "name_ar": "two"
                            },
                            {
                                "id": 5,
                                "ordering": 0,
                                "name_en": "one",
                                "name_ar": "one"
                            }
                        ]
                    }
                ],
                "variants": [
                    {
                        "id": 133,
                        "custom_fields": null,
                        "images": [],
                        "discount": {
                            "is_applied": false,
                            "is_trial_applied": false,
                            "is_usage_price": false,
                            "price_after_discount_no_trial": 11.33,
                            "price_after_discount": 11.33
                        },
                        "stock": {
                            "in_stock": true,
                            "qty": 100
                        },
                        "plan_config": null,
                        "off_days": [],
                        "off_dates": [],
                        "seo_config": {
                            "og": {
                                "url": "https://dev-app.techrar.com/halala-2-86/product/132",
                                "type": "product",
                                "image": "",
                                "title": {
                                    "ar": "Refundable",
                                    "en": "Refundable"
                                },
                                "description": {
                                    "ar": "اكتشف تفاصيل عن Refundable.",
                                    "en": "Discover details about Refundable."
                                }
                            },
                            "extra": {},
                            "title": {
                                "ar": "Refundable",
                                "en": "Refundable"
                            },
                            "twitter": {
                                "card": "summary_large_image",
                                "image": "",
                                "title": {
                                    "ar": "Refundable",
                                    "en": "Refundable"
                                },
                                "description": {
                                    "ar": "اطلع على Refundable.",
                                    "en": "Check out Refundable."
                                }
                            },
                            "meta_tags": [
                                {
                                    "key": "viewport",
                                    "value": "width=device-width, initial-scale=1"
                                },
                                {
                                    "key": "author",
                                    "value": "Halala 2"
                                }
                            ],
                            "meta_robots": {
                                "index": true,
                                "follow": true
                            },
                            "canonical_url": "https://dev-app.techrar.com/halala-2-86/product/132",
                            "meta_keywords": {
                                "ar": [
                                    "s"
                                ],
                                "en": [
                                    "s"
                                ]
                            },
                            "structured_data": {
                                "url": "https://dev-app.techrar.com/halala-2-86/product/132",
                                "name": {
                                    "ar": "Refundable",
                                    "en": "Refundable"
                                },
                                "@type": "Product",
                                "image": "",
                                "offers": {
                                    "@type": "Offer",
                                    "price": "10.5",
                                    "review": [],
                                    "availability": "https://schema.org/InStock",
                                    "priceCurrency": "SAR"
                                },
                                "@context": "https://schema.org",
                                "description": {
                                    "ar": "تفاصيل عن Refundable.",
                                    "en": "Details about Refundable."
                                },
                                "aggregateRating": ""
                            },
                            "meta_description": {
                                "ar": "تعرف على المزيد عن Refundable.",
                                "en": "Learn more about Refundable."
                            }
                        },
                        "variant_title_en": "two",
                        "variant_title_ar": "two",
                        "modifier_values": [
                            6
                        ],
                        "app_id": 86,
                        "ordering": 0,
                        "type": "product",
                        "service_type": "delivery",
                        "sku": "1756030231589",
                        "price": 11.33,
                        "is_taxable": true,
                        "name_en": "Refundable",
                        "name_ar": "Refundable",
                        "description_en": "",
                        "description_ar": "",
                        "is_plan_only": false,
                        "is_plan_enabled": false,
                        "served_from_date": null,
                        "served_to_date": null,
                        "served_from_time": null,
                        "served_to_time": null,
                        "weight": 1.0
                    },
                    {
                        "id": 132,
                        "custom_fields": null,
                        "images": [],
                        "discount": {
                            "is_applied": false,
                            "is_trial_applied": false,
                            "is_usage_price": false,
                            "price_after_discount_no_trial": 10.33,
                            "price_after_discount": 10.33
                        },
                        "stock": {
                            "in_stock": true,
                            "qty": 100
                        },
                        "plan_config": null,
                        "off_days": [],
                        "off_dates": [],
                        "seo_config": {
                            "og": {
                                "url": "https://dev-app.techrar.com/halala-2-86/product/132",
                                "type": "product",
                                "image": "",
                                "title": {
                                    "ar": "Refundable",
                                    "en": "Refundable"
                                },
                                "description": {
                                    "ar": "اكتشف تفاصيل عن Refundable.",
                                    "en": "Discover details about Refundable."
                                }
                            },
                            "extra": {},
                            "title": {
                                "ar": "Refundable",
                                "en": "Refundable"
                            },
                            "twitter": {
                                "card": "summary_large_image",
                                "image": "",
                                "title": {
                                    "ar": "Refundable",
                                    "en": "Refundable"
                                },
                                "description": {
                                    "ar": "اطلع على Refundable.",
                                    "en": "Check out Refundable."
                                }
                            },
                            "meta_tags": [
                                {
                                    "key": "viewport",
                                    "value": "width=device-width, initial-scale=1"
                                },
                                {
                                    "key": "author",
                                    "value": "Halala 2"
                                }
                            ],
                            "meta_robots": {
                                "index": true,
                                "follow": true
                            },
                            "canonical_url": "https://dev-app.techrar.com/halala-2-86/product/132",
                            "meta_keywords": {
                                "ar": [
                                    "s"
                                ],
                                "en": [
                                    "s"
                                ]
                            },
                            "structured_data": {
                                "url": "https://dev-app.techrar.com/halala-2-86/product/132",
                                "name": {
                                    "ar": "Refundable",
                                    "en": "Refundable"
                                },
                                "@type": "Product",
                                "image": "",
                                "offers": {
                                    "@type": "Offer",
                                    "price": "10.5",
                                    "review": [],
                                    "availability": "https://schema.org/InStock",
                                    "priceCurrency": "SAR"
                                },
                                "@context": "https://schema.org",
                                "description": {
                                    "ar": "تفاصيل عن Refundable.",
                                    "en": "Details about Refundable."
                                },
                                "aggregateRating": ""
                            },
                            "meta_description": {
                                "ar": "تعرف على المزيد عن Refundable.",
                                "en": "Learn more about Refundable."
                            }
                        },
                        "variant_title_en": "one",
                        "variant_title_ar": "one",
                        "modifier_values": [
                            5
                        ],
                        "app_id": 86,
                        "ordering": 0,
                        "type": "product",
                        "service_type": "delivery",
                        "sku": "17556771634411092",
                        "price": 10.33,
                        "is_taxable": true,
                        "name_en": "Refundable",
                        "name_ar": "Refundable",
                        "description_en": "",
                        "description_ar": "",
                        "is_plan_only": false,
                        "is_plan_enabled": false,
                        "served_from_date": null,
                        "served_to_date": null,
                        "served_from_time": null,
                        "served_to_time": null,
                        "weight": 1.0
                    }
                ],
                "varies_on": "modifiers",
                "bundle_categories": [],
                "plan_config": null,
                "off_days": [],
                "off_dates": [],
                "tags": [],
                "app_id": 86,
                "ordering": 0,
                "type": "product",
                "service_type": "delivery",
                "sku": "17556771634411092",
                "price": 10.33,
                "is_taxable": true,
                "name_en": "Refundable",
                "name_ar": "Refundable",
                "description_en": "",
                "description_ar": "",
                "is_plan_only": false,
                "is_plan_enabled": false,
                "served_from_date": null,
                "served_to_date": null,
                "served_from_time": null,
                "served_to_time": null,
                "weight": 1.0,
                "categories": []
            },
            "app_id": 86,
            "created_at": "2025-09-07T12:23:12.630151+03:00",
            "item_id": 132,
            "name_en": "Refundable",
            "name_ar": "Refundable",
            "price_before_discount": 10.33,
            "price_after_discount": 10.33,
            "qty": 1,
            "net_price": 10.33,
            "voucher_discounts_amount": 1.03,
            "total_price": 9.3,
            "auto_renew": false,
            "date": null,
            "time": null,
            "parent_order_item": null,
            "discounts": [
                58
            ]
        }
    ],
    "fulfillments": [
        {
            "id": 501,
            "created_at": "2025-09-07T12:24:03.546788+03:00",
            "order_id": 449,
            "invoice_id": 681,
            "status": "missing_location_details",
            "date": null,
            "time": null,
            "service_type": "delivery",
            "location": null,
            "pickup_location": null,
            "city_en": null,
            "city_ar": null,
            "district_en": null,
            "district_ar": null,
            "fulfillments": [
                {
                    "id": 102889,
                    "created_at": "2025-09-07T12:24:03.514714+03:00",
                    "invoice_item_id": 726,
                    "item": {
                        "id": 132,
                        "custom_fields": null,
                        "images": [],
                        "discount": {
                            "is_applied": false,
                            "is_trial_applied": false,
                            "is_usage_price": false,
                            "price_after_discount_no_trial": 10.33,
                            "price_after_discount": 10.33,
                            "payment_method_offers": [
                                {
                                    "method": "mada",
                                    "amount": 10.433300000000001
                                },
                                {
                                    "method": "visa_master",
                                    "amount": 10.33
                                },
                                {
                                    "method": "applepay",
                                    "amount": 10.33
                                },
                                {
                                    "method": "tabby_installments",
                                    "amount": 10.33
                                },
                                {
                                    "method": "tamara_installments",
                                    "amount": 10.33
                                }
                            ]
                        },
                        "stock": {
                            "in_stock": true,
                            "qty": 100
                        },
                        "modifiers": [
                            {
                                "id": 3,
                                "ordering": 0,
                                "name_en": "mod",
                                "name_ar": "mod",
                                "values": [
                                    {
                                        "id": 6,
                                        "ordering": 0,
                                        "name_en": "two",
                                        "name_ar": "two"
                                    },
                                    {
                                        "id": 5,
                                        "ordering": 0,
                                        "name_en": "one",
                                        "name_ar": "one"
                                    }
                                ]
                            }
                        ],
                        "variants": [
                            {
                                "id": 133,
                                "custom_fields": null,
                                "images": [],
                                "discount": {
                                    "is_applied": false,
                                    "is_trial_applied": false,
                                    "is_usage_price": false,
                                    "price_after_discount_no_trial": 11.33,
                                    "price_after_discount": 11.33
                                },
                                "stock": {
                                    "in_stock": true,
                                    "qty": 100
                                },
                                "plan_config": null,
                                "off_days": [],
                                "off_dates": [],
                                "seo_config": {
                                    "og": {
                                        "url": "https://dev-app.techrar.com/halala-2-86/product/132",
                                        "type": "product",
                                        "image": "",
                                        "title": {
                                            "ar": "Refundable",
                                            "en": "Refundable"
                                        },
                                        "description": {
                                            "ar": "اكتشف تفاصيل عن Refundable.",
                                            "en": "Discover details about Refundable."
                                        }
                                    },
                                    "extra": {},
                                    "title": {
                                        "ar": "Refundable",
                                        "en": "Refundable"
                                    },
                                    "twitter": {
                                        "card": "summary_large_image",
                                        "image": "",
                                        "title": {
                                            "ar": "Refundable",
                                            "en": "Refundable"
                                        },
                                        "description": {
                                            "ar": "اطلع على Refundable.",
                                            "en": "Check out Refundable."
                                        }
                                    },
                                    "meta_tags": [
                                        {
                                            "key": "viewport",
                                            "value": "width=device-width, initial-scale=1"
                                        },
                                        {
                                            "key": "author",
                                            "value": "Halala 2"
                                        }
                                    ],
                                    "meta_robots": {
                                        "index": true,
                                        "follow": true
                                    },
                                    "canonical_url": "https://dev-app.techrar.com/halala-2-86/product/132",
                                    "meta_keywords": {
                                        "ar": [
                                            "s"
                                        ],
                                        "en": [
                                            "s"
                                        ]
                                    },
                                    "structured_data": {
                                        "url": "https://dev-app.techrar.com/halala-2-86/product/132",
                                        "name": {
                                            "ar": "Refundable",
                                            "en": "Refundable"
                                        },
                                        "@type": "Product",
                                        "image": "",
                                        "offers": {
                                            "@type": "Offer",
                                            "price": "10.5",
                                            "review": [],
                                            "availability": "https://schema.org/InStock",
                                            "priceCurrency": "SAR"
                                        },
                                        "@context": "https://schema.org",
                                        "description": {
                                            "ar": "تفاصيل عن Refundable.",
                                            "en": "Details about Refundable."
                                        },
                                        "aggregateRating": ""
                                    },
                                    "meta_description": {
                                        "ar": "تعرف على المزيد عن Refundable.",
                                        "en": "Learn more about Refundable."
                                    }
                                },
                                "variant_title_en": "two",
                                "variant_title_ar": "two",
                                "modifier_values": [
                                    6
                                ],
                                "app_id": 86,
                                "ordering": 0,
                                "type": "product",
                                "service_type": "delivery",
                                "sku": "1756030231589",
                                "price": 11.33,
                                "is_taxable": true,
                                "name_en": "Refundable",
                                "name_ar": "Refundable",
                                "description_en": "",
                                "description_ar": "",
                                "is_plan_only": false,
                                "is_plan_enabled": false,
                                "served_from_date": null,
                                "served_to_date": null,
                                "served_from_time": null,
                                "served_to_time": null,
                                "weight": 1.0
                            },
                            {
                                "id": 132,
                                "custom_fields": null,
                                "images": [],
                                "discount": {
                                    "is_applied": false,
                                    "is_trial_applied": false,
                                    "is_usage_price": false,
                                    "price_after_discount_no_trial": 10.33,
                                    "price_after_discount": 10.33
                                },
                                "stock": {
                                    "in_stock": true,
                                    "qty": 100
                                },
                                "plan_config": null,
                                "off_days": [],
                                "off_dates": [],
                                "seo_config": {
                                    "og": {
                                        "url": "https://dev-app.techrar.com/halala-2-86/product/132",
                                        "type": "product",
                                        "image": "",
                                        "title": {
                                            "ar": "Refundable",
                                            "en": "Refundable"
                                        },
                                        "description": {
                                            "ar": "اكتشف تفاصيل عن Refundable.",
                                            "en": "Discover details about Refundable."
                                        }
                                    },
                                    "extra": {},
                                    "title": {
                                        "ar": "Refundable",
                                        "en": "Refundable"
                                    },
                                    "twitter": {
                                        "card": "summary_large_image",
                                        "image": "",
                                        "title": {
                                            "ar": "Refundable",
                                            "en": "Refundable"
                                        },
                                        "description": {
                                            "ar": "اطلع على Refundable.",
                                            "en": "Check out Refundable."
                                        }
                                    },
                                    "meta_tags": [
                                        {
                                            "key": "viewport",
                                            "value": "width=device-width, initial-scale=1"
                                        },
                                        {
                                            "key": "author",
                                            "value": "Halala 2"
                                        }
                                    ],
                                    "meta_robots": {
                                        "index": true,
                                        "follow": true
                                    },
                                    "canonical_url": "https://dev-app.techrar.com/halala-2-86/product/132",
                                    "meta_keywords": {
                                        "ar": [
                                            "s"
                                        ],
                                        "en": [
                                            "s"
                                        ]
                                    },
                                    "structured_data": {
                                        "url": "https://dev-app.techrar.com/halala-2-86/product/132",
                                        "name": {
                                            "ar": "Refundable",
                                            "en": "Refundable"
                                        },
                                        "@type": "Product",
                                        "image": "",
                                        "offers": {
                                            "@type": "Offer",
                                            "price": "10.5",
                                            "review": [],
                                            "availability": "https://schema.org/InStock",
                                            "priceCurrency": "SAR"
                                        },
                                        "@context": "https://schema.org",
                                        "description": {
                                            "ar": "تفاصيل عن Refundable.",
                                            "en": "Details about Refundable."
                                        },
                                        "aggregateRating": ""
                                    },
                                    "meta_description": {
                                        "ar": "تعرف على المزيد عن Refundable.",
                                        "en": "Learn more about Refundable."
                                    }
                                },
                                "variant_title_en": "one",
                                "variant_title_ar": "one",
                                "modifier_values": [
                                    5
                                ],
                                "app_id": 86,
                                "ordering": 0,
                                "type": "product",
                                "service_type": "delivery",
                                "sku": "17556771634411092",
                                "price": 10.33,
                                "is_taxable": true,
                                "name_en": "Refundable",
                                "name_ar": "Refundable",
                                "description_en": "",
                                "description_ar": "",
                                "is_plan_only": false,
                                "is_plan_enabled": false,
                                "served_from_date": null,
                                "served_to_date": null,
                                "served_from_time": null,
                                "served_to_time": null,
                                "weight": 1.0
                            }
                        ],
                        "varies_on": "modifiers",
                        "bundle_categories": [],
                        "plan_config": null,
                        "off_days": [],
                        "off_dates": [],
                        "tags": [],
                        "app_id": 86,
                        "ordering": 0,
                        "type": "product",
                        "service_type": "delivery",
                        "sku": "17556771634411092",
                        "price": 10.33,
                        "is_taxable": true,
                        "name_en": "Refundable",
                        "name_ar": "Refundable",
                        "description_en": "",
                        "description_ar": "",
                        "is_plan_only": false,
                        "is_plan_enabled": false,
                        "served_from_date": null,
                        "served_to_date": null,
                        "served_from_time": null,
                        "served_to_time": null,
                        "weight": 1.0,
                        "categories": []
                    },
                    "name_en": "Refundable",
                    "name_ar": "Refundable",
                    "status": "pending",
                    "total_amount": 9.3,
                    "addons": []
                }
            ],
            "shipment": null
        }
    ],
    "subscriptions": [],
    "invoices": [
        {
            "id": 681,
            "custom_fields": null,
            "payment_url": null,
            "serial": "INV-202500432",
            "invoice_pdf_en": null,
            "invoice_pdf_ar": null,
            "app_id": 86,
            "created_at": "2025-09-07T12:23:12.666479+03:00",
            "type": "normal",
            "status": "paid",
            "refund_reason": null,
            "issued_at": "2025-09-07T12:23:12.665684+03:00",
            "due_at": "2025-09-07T12:23:12.665688+03:00",
            "sub_total_amount": 10.33,
            "shipping_amount": 0.0,
            "setup_amount": 0.0,
            "net_amount": 10.33,
            "sub_total_discounts_amount": 1.03,
            "shipping_discounts_amount": 0.0,
            "total_discounts_amount": 1.03,
            "total_amount_excluding_tax": 8.09,
            "tax_percentage": 15.0,
            "tax_amount": 1.21,
            "total_amount": 9.3,
            "wallet_redeem_amount": 0.0,
            "total_amount_with_redeem": 9.3,
            "currency": "SAR",
            "payment_method": "visa_master",
            "payment_provider": "myfatoorah",
            "is_auto_renewal": false
        }
    ],
    "recurring_purchase_id": 9,
    "custom_fields": null
}
Modified at 2026-06-01 12:38:55
Previous
List Orders
Next
List Recurring Purchases
Built with